Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 0.6SynchronousAuth Required
SyncImageSize
SyncImageSize
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe image UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/images/{uuid}/actions
/zstack/v1/images/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "a5288a2598074daabb0450db1eaf0e69", "name": "TinyLinux", "size": 2.097152E8, "actualSize": 2329057.0, "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "a5288a2598074daabb0450db1eaf0e69", "backupStorageUuid": "1a917c0b47c6475a996ed678f230419d", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }Change History
This API has no change history records yet.
